/* $Modified: Mon Oct 11 23:42:58 2010 by uwer $ */
#ifndef ANALYTIC_H_
#define  ANALYTIC_H_
#include "mytypes.h"
#include <complex>
#include "FourMomentum.h"

std::complex<DOUBLE> RMHV(int n,FourMomentum<DOUBLE> *P,std::complex<DOUBLE> tree);

std::complex<DOUBLE> R6pppppp(FourMomentum<DOUBLE> p1,FourMomentum<DOUBLE> p2,
			      FourMomentum<DOUBLE> p3,FourMomentum<DOUBLE> p4,
			      FourMomentum<DOUBLE> p5,FourMomentum<DOUBLE> p6);

std::complex<DOUBLE> R6mppppp(FourMomentum<DOUBLE> p1,FourMomentum<DOUBLE> p2,
			      FourMomentum<DOUBLE> p3,FourMomentum<DOUBLE> p4,
			      FourMomentum<DOUBLE> p5,FourMomentum<DOUBLE> p6);

std::complex<DOUBLE> R6mmpppp(FourMomentum<DOUBLE> p1,FourMomentum<DOUBLE> p2,
			      FourMomentum<DOUBLE> p3,FourMomentum<DOUBLE> p4,
			      FourMomentum<DOUBLE> p5,FourMomentum<DOUBLE> p6);

std::complex<DOUBLE> R6mpmpmp(FourMomentum<DOUBLE> p1, FourMomentum<DOUBLE> p2,
                              FourMomentum<DOUBLE> p3, FourMomentum<DOUBLE> p4,
                              FourMomentum<DOUBLE> p5, FourMomentum<DOUBLE> p6);

#endif
