/* $Modified: Wed Jul  7 17:26:11 2010 by uwer $ */
// vim: set ft=cpp:
#ifndef MYTYPES_H
#define MYTYPES_H
#include <complex>
#include <iostream>

#ifdef DOUBLE
#include <qd/qd_real.h>
  #define EXTENDED_PREC
#else
  #define DOUBLE double
#endif

#ifdef EXTENDED_PREC
  #define SETVAL(_X_) #_X_
#else
  #define SETVAL(_X_) _X_
#endif

class FloatingPointArithmetic { 
  unsigned int old_cw;
public:
  FloatingPointArithmetic(){
#ifdef EXTENDED_PREC
    fpu_fix_start(&old_cw);
    std::cout << "# Switch floating point unit\n";
#endif
  }
  ~FloatingPointArithmetic(){
#ifdef EXTENDED_PREC
    fpu_fix_end(&old_cw);
    std::cout << "# Restore floating point unit\n";
#endif
  }
};


#endif // MYTYPES_H
